Subject: Pine and PGP

From: "Robert A. Hayden" <[email-masked]>
Date: Wed, 27 Oct 1993 13:32:27 -0500 (CDT)

I posted a discussion of this a while back, but I believe it got buried 
under the flood of mail accompanying the 3.85 relase of the Pine package.

I'm wondering about possibilities of encorporating abilities into Pine 
that will allow you to utilize the security features of PGP.  Most 
specifically would be the ability to add a digital signature to your 
outgoing mail (pgp -s filename), and perhaps later the ability to check 
the 'To:' field and match those names to your public keyring.

In theory, I don't think it would be that difficult to do.  Simple that 
before the file is sent on its way, the headers should be stripped and 
then the signature would be added, then reattached to the headers and 
sent out.  It's an operation that could take place invisibly to the user.

Right now, the only way to sign a message is to create it outside of 
Pine, sign it, and then read it in, which is really cumbersome for spur 
of the moment creation of messages.

I appreciate your time.

____         Robert A. Hayden          <=> [email-masked]
\  /__           -=-=-=-=-             <=>          -=-=-=-=-
 \/  /    Finger for Geek Code Info    <=> Veteran of the Bermuda Triangle
   \/   Finger for PGP 2.3a Public Key <=> Expeditionary Force -- 1993-1951
-=-=-=-=-=-=-=-
(GEEK CODE 1.0.1)  GSS d- -p+(---) c++(++++) l++ u++ e+/* m++(*)@ s-/++
		       n-(---) h+(*) f+ g+ w++ t++ r++ y+(*)